import request from '@/utils/request'

export function list(data) {
  return request({
    url: '/salary/list',
    method: 'post',
    data: data
  })
}

export function saveOrEditSalaryBase(data) {
  return request({
    url: '/salary/saveOrEdit',
    method: 'post',
    data: data
  })
}

export function delSalaryBase(data) {
  return request({
    url: '/salary/remove',
    method: 'get',
    params: data
  })
}

export function listAll() {
  return request({
    url: '/api/salary/listAll',
    method: 'post',
  })
}
